org.icefaces.ace.component.autocompleteentry

## Interface IAutoCompleteEntry

- All Known Implementing Classes:
    AutoCompleteEntry, AutoCompleteEntryBase

      public interface IAutoCompleteEntry

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDelay()`
    `java.lang.String` | `getDirection()`
    `java.lang.Object` | `getFilterBy()`
    `java.lang.String` | `getFilterMatchMode()`
    `int` | `getHeight()`
    `java.lang.String` | `getHideEffect()`
    `int` | `getHideEffectLength()`
    `java.lang.String` | `getIndicatorPosition()`
    `java.util.List` | `getItemList()`
    `java.lang.String` | `getLabelPosition()`
    `java.util.List` | `getListValue()`
    `java.lang.String` | `getListVar()`
    `int` | `getMinChars()`
    `java.lang.String` | `getOptionalIndicator()`
    `java.lang.String` | `getRequiredIndicator()`
    `int` | `getRows()`
    `java.lang.String` | `getShowEffect()`
    `int` | `getShowEffectLength()`
    `java.lang.String` | `getSubmittedText()`
    `java.lang.String` | `getText()`
    `javax.el.MethodExpression` | `getTextChangeListener()`
    `int` | `getWidth()`
    `boolean` | `isCaseSensitive()`
    `boolean` | `isClientSide()`
    `java.lang.Boolean` | `isPopulateList()`
    `boolean` | `isReset()`
    `void` | `setCaseSensitive(boolean caseSensitive)`
    `void` | `setClientSide(boolean clientSide)`
    `void` | `setDelay(int delay)`
    `void` | `setDirection(java.lang.String direction)`
    `void` | `setFilterBy(java.lang.Object filterBy)`
    `void` | `setFilterMatchMode(java.lang.String filterMatchMode)`
    `void` | `setHeight(int height)`
    `void` | `setHideEffect(java.lang.String hideEffect)`
    `void` | `setHideEffectLength(int hideEffectLength)`
    `void` | `setIndicatorPosition(java.lang.String indicatorPosition)`
    `void` | `setItemList(java.util.List itemList)`
    `void` | `setLabelPosition(java.lang.String labelPosition)`
    `void` | `setListValue(java.util.List listValue)`
    `void` | `setListVar(java.lang.String listVar)`
    `void` | `setMinChars(int minChars)`
    `void` | `setOptionalIndicator(java.lang.String optionalIndicator)`
    `void` | `setPopulateList(java.lang.Boolean populateList)`
    `void` | `setRequiredIndicator(java.lang.String requiredIndicator)`
    `void` | `setReset(boolean reset)`
    `void` | `setRows(int rows)`
    `void` | `setShowEffect(java.lang.String showEffect)`
    `void` | `setShowEffectLength(int showEffectLength)`
    `void` | `setSubmittedText(java.lang.String submittedText)`
    `void` | `setText(java.lang.String text)`
    `void` | `setTextChangeListener(javax.el.MethodExpression textChangeListener)`
    `void` | `setWidth(int width)`

- - ### Method Detail

    - #### setCaseSensitive

          void setCaseSensitive(boolean caseSensitive)

    - #### isCaseSensitive

          boolean isCaseSensitive()

    - #### setClientSide

          void setClientSide(boolean clientSide)

    - #### isClientSide

          boolean isClientSide()

    - #### setDelay

          void setDelay(int delay)

    - #### getDelay

          int getDelay()

    - #### setDirection

          void setDirection(java.lang.String direction)

    - #### getDirection

          java.lang.String getDirection()

    - #### setFilterBy

          void setFilterBy(java.lang.Object filterBy)

    - #### getFilterBy

          java.lang.Object getFilterBy()

    - #### setFilterMatchMode

          void setFilterMatchMode(java.lang.String filterMatchMode)

    - #### getFilterMatchMode

          java.lang.String getFilterMatchMode()

    - #### setHeight

          void setHeight(int height)

    - #### getHeight

          int getHeight()

    - #### setHideEffect

          void setHideEffect(java.lang.String hideEffect)

    - #### getHideEffect

          java.lang.String getHideEffect()

    - #### setHideEffectLength

          void setHideEffectLength(int hideEffectLength)

    - #### getHideEffectLength

          int getHideEffectLength()

    - #### setIndicatorPosition

          void setIndicatorPosition(java.lang.String indicatorPosition)

    - #### getIndicatorPosition

          java.lang.String getIndicatorPosition()

    - #### setLabelPosition

          void setLabelPosition(java.lang.String labelPosition)

    - #### getLabelPosition

          java.lang.String getLabelPosition()

    - #### setListValue

          void setListValue(java.util.List listValue)

    - #### getListValue

          java.util.List getListValue()

    - #### setListVar

          void setListVar(java.lang.String listVar)

    - #### getListVar

          java.lang.String getListVar()

    - #### setMinChars

          void setMinChars(int minChars)

    - #### getMinChars

          int getMinChars()

    - #### setOptionalIndicator

          void setOptionalIndicator(java.lang.String optionalIndicator)

    - #### getOptionalIndicator

          java.lang.String getOptionalIndicator()

    - #### setRequiredIndicator

          void setRequiredIndicator(java.lang.String requiredIndicator)

    - #### getRequiredIndicator

          java.lang.String getRequiredIndicator()

    - #### setReset

          void setReset(boolean reset)

    - #### isReset

          boolean isReset()

    - #### setRows

          void setRows(int rows)

    - #### getRows

          int getRows()

    - #### setShowEffect

          void setShowEffect(java.lang.String showEffect)

    - #### getShowEffect

          java.lang.String getShowEffect()

    - #### setShowEffectLength

          void setShowEffectLength(int showEffectLength)

    - #### getShowEffectLength

          int getShowEffectLength()

    - #### setTextChangeListener

          void setTextChangeListener(javax.el.MethodExpression textChangeListener)

    - #### getTextChangeListener

          javax.el.MethodExpression getTextChangeListener()

    - #### setWidth

          void setWidth(int width)

    - #### getWidth

          int getWidth()

    - #### setItemList

          void setItemList(java.util.List itemList)

    - #### getItemList

          java.util.List getItemList()

    - #### setPopulateList

          void setPopulateList(java.lang.Boolean populateList)

    - #### isPopulateList

          java.lang.Boolean isPopulateList()

    - #### setSubmittedText

          void setSubmittedText(java.lang.String submittedText)

    - #### getSubmittedText

          java.lang.String getSubmittedText()

    - #### setText

          void setText(java.lang.String text)

    - #### getText

          java.lang.String getText()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.